<?php
/**
* Used to create and edit existing map.
* For edit pass parameter as marker_id
*
*
**/

include_once(GOOGLEMARKER_PLUGIN_DIR.'/includes/pannel.header.php'); 
global $wpdb, $obj_map;
$obj_map = new google_marker;
$marker_id = $_GET['marker_id'];
if(isset($_POST['submit']))
{
	if($marker_id)
	{
		$return = $obj_map->manageMarkers('update_map');
	}
	else
	{
		$return = $obj_map->manageMarkers('add_map');	
	}
	$msg = "";
	if(!empty($return))	{
		if($return['status']=='success')
		{
			$class='alert-success';			
		}
		else
		{
			$class='alert-error';		
		}
		$msg = '<div class="'.$class.' msg_map"   >';
		foreach($return['msg'] as $v)
		{
			$msg .= $v.'<br>';
		}	
		$msg .= '</div>';
	}

}

if(isset($marker_id))
{
  $table_name =$wpdb->prefix.'google_markers';
  $map_data = $wpdb->get_row("SELECT * FROM ".$table_name." WHERE marker_id =".$marker_id);
 
  $marker_latitudes = json_decode($map_data->marker_latitudes);
  $marker_longitudes = json_decode($map_data->marker_longitudes);
  $marker_contents = json_decode($map_data->marker_contents);
  $markers= array($marker_contents,$marker_latitudes,$marker_longitudes);
  $locations = Array();
  for($i=0;$i<count($marker_latitudes);$i++)
  {
	$locations[$i][] = isset($markers[0][$i])?$markers[0][$i]:'';
	$locations[$i][] = isset($markers[1][$i])?$markers[1][$i]:'';
	$locations[$i][] = isset($markers[2][$i])?$markers[2][$i]:'';
  }
  $default_location = explode(',',$map_data->default_location);
  if(!empty($default_location) && is_array($default_location))
  {
	$setDef=1;
	$defLat = $default_location[0];
	$defLang = $default_location[1];		
  }
  else
  {
	$defLat =  isset($locations[0][1])?$locations[0][1]:'';
	$defLang = isset($locations[1][1])?$locations[1][1]:'';		
  }
  $content='';
  $count=1;  
  foreach($locations as $k=>$v)
  {
	$content.= '<tr>';
	$content.= '<td><input type="text" name="latitudes[]" value="'.$v[1].'"/></td>';
	$content.= '<td><input type="text" name="longitudes[]" value="'.$v[2].'"/></td>';
	$content.= '<td><textarea name="marker_contents[]">'.stripslashes($v[0]).'</textarea></td>';
	$content.= '<td><button type="button" class="deleteLink" ></button></td>';
	$content.='</tr>' ; 
  }
}
else
{
	$map_data->map_name = isset($_POST['map_name'])?$_POST['map_name']:'';
	$map_data->map_language = isset($_POST['selLang'])?$_POST['selLang']:'English';
	$map_data->def_map_view = isset($_POST['def_map_view'])?$_POST['def_map_view']:'';
	$map_data->map_width = isset($_POST['mapWidth'])?$_POST['mapWidth']:'';
	$map_data->map_height = isset($_POST['mapHeight'])?$_POST['mapHeight']:'';
	$map_data->icon_url = isset($_POST['icon_url'])?$_POST['icon_url']:'';

	$defLat =  isset($_POST['defaultLat'])?$_POST['defaultLat']:'';
	$defLang = isset($_POST['defaultLang'])?$_POST['defaultLang']:'';		
	$checkdefaultLocation = isset($_POST['checkdefaultLocation'])?$_POST['checkdefaultLocation']:'';		
	if($checkdefaultLocation)
		$setDef=1;
}
 
?>

<div id="page-background" class="page-background tab-pane active">
  <div class="cc-options-tab-title">
    <h2>
      <?php if(isset($marker_id)){echo 'Edit Map';}else{echo 'Create New Map';}?>
    </h2>
  </div>
  <div class="option option-textarea">
  <form name="frmAddmarker" id="frmAddmarker" method="post">
    <div class="section"> <?php echo isset($msg)?$msg:''; ?>
      <?php if(isset($marker_id)){?>
      <div class="element cc-opttitle fullwidth">
        <div class="cc-opttitle-pad">
          <label for="txtShortcode">
            <?php _e( 'Shortcode for Map', 'google-map-professional' ); ?>
          </label>
          <input type="text" name="txtShortcode" id="txtShortcode" value="<?php echo '[googlemap markerid='.$marker_id.']';?>" style="width: 300px ! important;" onfocus="this.select()" onMouseUp="return false" />
        </div>
      </div>
      <?php }?>
      <div class="element">
        <div class="cc-opttitle fullwidth">
          <div class="cc-opttitle-pad control-group">
            <label class="control-label" for="selLang">
              <?php _e( 'Select Language', 'google-map-professional' ); ?>
            </label>
            <select name="selLang" id="selLang">
              <?php $mapLangugaes = array('English'=>'en','Thai'=>'th','Japanese'=>'ja','Italian'=>'it','German'=>'de','France'=>'fr','Dutch'=>'nl','Chinese'=>'cn','ARABIC'=>'ar','BASQUE'=>'eu','BULGARIAN'=>'bg','BENGALI'=>'bn','CATALAN'=>'ca','CZECH'=>'cs','DANISH'=>'da','GREEK'=>'el','SPANISH'=>'es','BASQUE'=>'eu','FINNISH'=>'fi','FILIPINO'=>'fil','GALICIAN'=>'gl','GUJARATI'=>'gu','HINDI'=>'hi','CROATIAN'=>'hr','HUNGARIAN'=>'hu','INDONESIAN'=>'id','HEBREW'=>'iw','KANNADA'=>'kn','Korean'=>'ko','LITHUANIAN'=>'lt','LATVIAN'=>'lv','MALAYALAM'=>'ml','MARATHI'=>'mr','NORWEGIAN NYNORSK'=>'nn','NORWEGIAN'=>'no','ORIYA'=>'or','POLISH'=>'pl','PORTUGUESE'=>'pt','ROMANIAN'=>'ro','RUSSIAN'=>'ru','SLOVAK'=>'sk','SLOVENIAN'=>'sl','SERBIAN'=>'sr','SWEDISH'=>'sv','TAGALOG'=>'tl','TAMIL'=>'ta','TELUGU'=>'te','TURKISH'=>'tr','UKRAINIAN'=>'uk','VIETNAMESE'=>'vi'); 
			 	 ksort($mapLangugaes);
				foreach($mapLangugaes as $lang=>$code){
					$lang = ucfirst(strtolower($lang));
				?>
              <option value="<?php echo $code;?>"  <?php if($map_data->map_language ==$code){echo 'SELECTED';}  ?>><?php echo $lang;?></option>
              <?php }?>
            </select>
          </div>
          <div class="cc-opttitle-pad control-group">
            <label class="control-label" for="def_map_view">
              <?php _e( 'Map View', 'google-map-professional' ); ?>
            </label>
            <select name="def_map_view" id="def_map_view">
              <?php $map_view_array = array('Roadmap'=>1,'Satellite'=>2,'Hybrid'=>3,'Terrain'=>4);?>
              <?php foreach($map_view_array as $key=>$val){?>
              <option value="<?php echo $val;?>" <?php if($map_data->def_map_view ==$val){echo 'SELECTED';}?>><?php echo $key;?></option>
              <?php }?>
            </select>
          </div>
          <div class="cc-opttitle-pad control-group">
            <label class="control-label" for="map_name">
              <?php _e( 'Name of Map', 'google-map-professional' ); ?>
            </label>
            <input type="text" name="map_name" id="map_name" value="<?php echo $map_data->map_name;?>" />
          </div>
          <div class="cc-opttitle-pad control-group">
            <label class="control-label" for="mapWidth">
              <?php _e( 'Map Width', 'google-map-professional' ); ?>
            </label>
            <input type="text" id="mapWidth" name="mapWidth" value="<?php echo $map_data->map_width;?>"/>
          </div>
          <div class="cc-opttitle-pad control-group">
            <label class="control-label" for="mapHeight">
              <?php _e( 'Map Height', 'google-map-professional' ); ?>
            </label>
            <input type="text" id="mapHeight" name="mapHeight" value="<?php echo $map_data->map_height;?>"/>
            <p></p>
          </div>
          <div class="cc-opttitle-pad">
            <label for="icon_url">
              <?php _e( 'Custom Icon', 'google-map-professional' ); ?>
            </label>
            <select name="icon_url" id="icon_url">
              <option value=""><?php _e( 'Default', 'google-map-professional' ); ?></option>
              <?php 
			  $files = scandir(GOOGLEMARKER_PLUGIN_DIR.'/images/markers/');	
			  $i = 1;
			  foreach($files as $key =>$value) {
				  if(@!is_array(getimagesize(GOOGLEMARKER_PLUGIN_DIR.'/images/markers/'.$value)))
					  continue;
				$url = GOOGLEMARKER_PLUGIN_URL."/images/markers/".$value;
				$name = "Marker ".$i;				  
		  ?>
              <option value="<?php echo $url;?>" <?php if($map_data->icon_url==$url){echo 'SELECTED';}?>><?php echo $name;?></option>
              <?php		
				$i++;
			  }
        	?>
            </select>
          
          </div>
        </div>
      </div>
    </div>
    
    <div class="section">
      <div class="cc-opttitle">
        <div class="cc-opttitle-pad fullwidth" style="clear: both;" >
          <h2><b>
            <?php _e( 'Add Multiple Markers', 'google-map-professional' ); ?>
            </b> <a class="geo_location" href="http://www.pragmasoftwares.com/geo-location/" target="_blank" >(<?php _e( 'Get geo location from here', 'google-map-professional' ); ?>)<a/></h2>
          <br>
          <table id="addedLocations">
            <tr bgcolor="#ddd">
              <td style="width: 200px; padding-left: 5px;" ><h4>
                  <?php _e( 'Latitude', 'google-map-professional' ); ?>
                </h4></td>
              <td style="width: 200px;" ><h4>
                  <?php _e( 'Longitude', 'google-map-professional' ); ?>
                </h4></td>
              <td><h4>
                  <?php _e( 'Content', 'google-map-professional' ); ?>
                  <span style="color: grey; font-style: italic;">&nbsp;(
                  <?php _e( 'You can write HTML content', 'google-map-professional' ); ?>
                  )</span></h4></td>
              <td style="width: 50px;" >&nbsp;</td>
            </tr>
            <?php  if(isset($marker_id)){echo $content;}?>
            <?php if(!isset($marker_id)){?>
            <tr>
              <td><input type="text" name="latitudes[]"/></td>
              <td><input type="text" name="longitudes[]"/></td>
              <td><textarea name="marker_contents[]"></textarea></td>
              <td style="width: 50px;text-align:center;" >&nbsp;</td>
            </tr>
            <?php }?>
          </table>
          <br>
          <div   style="float:right;margin-top:10px" >
            <button type="button" id="btnAddlocation" class="btn btn-small btn-success">
            <?php _e( 'Add Marker', 'google-map-professional' ); ?>
            </button>
          </div>
        </div>
        <div class="cc-opttitle-pad"  style="clear: both;" >
          <input type="checkbox" id="checkdefaultLocation" name="checkdefaultLocation" <?php if($setDef==1){ echo 'CHECKED';}?>/>
          <label for="checkdefaultLocation">
            <?php _e( 'Set Default Location', 'google-map-professional' ); ?>
          </label>
          <div id="defaultLocation">
            <label for="defaultLat">
              <?php _e( 'Latitude', 'google-map-professional' ); ?>
            </label>
            <input type="text" name="defaultLat" id="defaultLat" value="<?php if($setDef==1){echo $defLat;}?>"/>
            <p></p>
            <label for="defaultLang">
              <?php _e( 'Longitude', 'google-map-professional' ); ?>
            </label>
            <input type="text" name="defaultLang" id="defaultLang" value="<?php if($setDef==1){echo $defLang;}?>"/>
          </div>
        </div>
        <div class="element cc-opttitle-pad"align="right">
          <button type="submit" name="submit" id="submit" class="btn btn-large btn-success">
          <?php if(isset($marker_id)){ echo _e( 'Update Map', 'google-map-professional' );}else{echo _e( 'Save Map', 'google-map-professional' );}?>
          </button>
        </div>
      </div>
    </div>
  </form>
</div>
</div>
<?php include_once(GOOGLEMARKER_PLUGIN_DIR.'/includes/pannel.footer.php'); ?>